> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve files

> Resolve a batch of File references to their current readable versions.

**Operation ID:** `http.files.resolve`

```http theme={null}
POST /v1/orgs/{org}/projects/{project}/files/resolve
```


## OpenAPI

````yaml openapi.json POST /v1/orgs/{org}/projects/{project}/files/resolve
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/files/resolve:
    post:
      tags:
        - Files
      summary: Resolve files
      description: >-
        Resolve a batch of File references to their current readable versions.


        Product guidance: [File](/concepts/file), [Synced
        folder](/concepts/source).
      operationId: http.files.resolve
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/http_files_resolve_request'
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_files_resolve_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_files_resolve_request:
      type: object
      properties:
        file_ids:
          minItems: 1
          maxItems: 100
          type: array
          items:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
      required:
        - file_ids
      additionalProperties: false
    http_files_resolve_response:
      type: object
      properties:
        data:
          type: array
          items:
            oneOf:
              - type: object
                properties:
                  requested_file_id:
                    type: string
                  status:
                    type: string
                    const: resolved
                  file:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      tags:
                        type: array
                        items:
                          type: string
                      status:
                        type: string
                      media_type:
                        anyOf:
                          - type: string
                          - type: 'null'
                      current_version_id:
                        anyOf:
                          - type: string
                          - type: 'null'
                      created_at:
                        type: string
                      updated_at:
                        type: string
                    required:
                      - id
                      - name
                      - tags
                      - status
                      - media_type
                      - current_version_id
                      - created_at
                      - updated_at
                    additionalProperties: {}
                required:
                  - requested_file_id
                  - status
                  - file
                additionalProperties: {}
              - type: object
                properties:
                  requested_file_id:
                    type: string
                  status:
                    type: string
                    const: not_found
                  file:
                    type: 'null'
                required:
                  - requested_file_id
                  - status
                  - file
                additionalProperties: {}
      required:
        - data
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.